Debian Bug report logs - #659361
Reverting of mp4/m4a support (please add back)

version graph

Package: gtkpod; Maintainer for gtkpod is gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>; Source for gtkpod is src:gtkpod.

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Fri, 10 Feb 2012 14:42:01 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version gtkpod/2.1.1-1

Fixed in version gtkpod/2.1.2~beta2-1

Done: mfv.debian@gmail.com (Matteo F. Vescovi)

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3487032&group_id=67873&atid=519275

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#659361; Package gtkpod. (Fri, 10 Feb 2012 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Fri, 10 Feb 2012 14:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Reverting of mp4/m4a support (please add back)
Date: Fri, 10 Feb 2012 15:39:44 +0100
[Message part 1 (text/plain, inline)]
Package: gtkpod
Version: 2.1.1-1
Severity: wishlist
Tags: patch

Am 10.02.2012 14:42, schrieb Fabian Greffrath:
> What was the purpose of this plugin? I mean, isn't gtkpod able to
> dlopen() libmp4v2 anyway and thus use it when it is there without
> explicit linking? Was the reveerted plugin explicitely linked against
> libmp4v2 and thus caused the infamous MPL<->GPL license clash?

It seems that when filetype support got refactored into individual 
plugins, an "if HAVE_MP4" conditional was added around the relevant 
code in the plugins/filetype_{m4a,mp4}/Makefile.am files. This caused 
the filetype support plugin to only get compiled when libmp4v2 was 
detected at configure time, instead of the unconditional attempt to 
try loading the library that was carried out when the code was still 
in libgtkpod/mp4file.c.

I have applied the attached patch to the gtkpod 2.1.1 Debian package 
(please note that I added just another SONAME, because the libmp4v2 
Debian package is already at 2), ran autoreconf and rebuilt it, all 
without libmp4v2-dev installed. The m4a and mp4 plugins were built 
fine and got installed into the resulting binary package:

$ dpkg -c ../gtkpod_2.1.1-1_i386.deb | egrep 'm4a|mp4'
-rw-r--r-- root/root     21108 2012-02-10 15:23 
./usr/lib/gtkpod/libfiletype_m4a.so
-rw-r--r-- root/root     20032 2012-02-10 15:23 
./usr/lib/gtkpod/libfiletype_mp4.so
-rw-r--r-- root/root       395 2012-02-10 15:23 
./usr/lib/gtkpod/filetype_m4a.plugin
-rw-r--r-- root/root       400 2012-02-10 15:23 
./usr/lib/gtkpod/filetype_mp4.plugin

I could install the gtkpod packages, start the application and 
explicitely activate the plugins in the corresponding preferences 
menu. I didn't test any further, though.

Please note that dh_shlibdeps gave warnings like "dpkg-shlibdeps: 
warning: debian/gtkpod/usr/lib/gtkpod/libfiletype_m4a.so contains an 
unresolvable reference to symbol dlopen: it's probably a plugin." for 
both plugins, so maybe a line like "libfiletype_{m4a,mp4}_la_LIBADD = 
-ldl" should get added to the appropriate Makefile.am files.

Hope that helps,
Fabian

[m4a-mp4-filetype-support.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#659361; Package gtkpod. (Fri, 10 Feb 2012 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Fri, 10 Feb 2012 15:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 659361@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 659361@bugs.debian.org
Subject: Re: [Pkg-gtkpod-devel] Bug#659361: Reverting of mp4/m4a support (please add back)
Date: Fri, 10 Feb 2012 16:28:10 +0100
Hi!

On 10/02/2012 15:39, Fabian Greffrath wrote:
> I have applied the attached patch to the gtkpod 2.1.1 Debian package
> (please note that I added just another SONAME, because the libmp4v2
> Debian package is already at 2), ran autoreconf and rebuilt it, all
> without libmp4v2-dev installed. The m4a and mp4 plugins were built fine
> and got installed into the resulting binary package:
>
> $ dpkg -c ../gtkpod_2.1.1-1_i386.deb | egrep 'm4a|mp4'
> -rw-r--r-- root/root 21108 2012-02-10 15:23
> ./usr/lib/gtkpod/libfiletype_m4a.so
> -rw-r--r-- root/root 20032 2012-02-10 15:23
> ./usr/lib/gtkpod/libfiletype_mp4.so
> -rw-r--r-- root/root 395 2012-02-10 15:23
> ./usr/lib/gtkpod/filetype_m4a.plugin
> -rw-r--r-- root/root 400 2012-02-10 15:23
> ./usr/lib/gtkpod/filetype_mp4.plugin
>
> I could install the gtkpod packages, start the application and
> explicitely activate the plugins in the corresponding preferences menu.
> I didn't test any further, though.
>
> Please note that dh_shlibdeps gave warnings like "dpkg-shlibdeps:
> warning: debian/gtkpod/usr/lib/gtkpod/libfiletype_m4a.so contains an
> unresolvable reference to symbol dlopen: it's probably a plugin." for
> both plugins, so maybe a line like "libfiletype_{m4a,mp4}_la_LIBADD =
> -ldl" should get added to the appropriate Makefile.am files.
>
> Hope that helps,
> Fabian

Your efforts are really appreciated! :-)

I will test and apply your patch as soon as I find some free time. Maybe 
in the weekend, already.
Once all the changes have been made and checked, I'll ask my sponsor to 
upload the new revision.

Thanks a lot.

Cheers.

--
Matteo F. Vescovi
Debian Sponsored Maintainer
GnuPG KeyID: 83B2CF7A




Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#659361; Package gtkpod. (Fri, 10 Feb 2012 15:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Fri, 10 Feb 2012 15:57:07 GMT) Full text and rfc822 format available.

Message #15 received at 659361@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: "Matteo F. Vescovi" <mfv.debian@gmail.com>
Cc: 659361@bugs.debian.org
Subject: Re: [Pkg-gtkpod-devel] Bug#659361: Reverting of mp4/m4a support (please add back)
Date: Fri, 10 Feb 2012 16:54:37 +0100
Am 10.02.2012 16:28, schrieb Matteo F. Vescovi:
> I will test and apply your patch as soon as I find some free time.
> Maybe in the weekend, already.

Please note that the configure script is currently missing a check for 
dlopen(), which might become a serious portability issue. Such a check 
should get added and then the conditional for building the m4a/mp4 
file format plugins should get changed from "if HAVE_MP4" to "if 
HAVE_DLOPEN" or similar.

I would add this myself, but my autoconf-foo is not good enough. :/

 - Fabian




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail'. Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Sun, 12 Feb 2012 17:03:09 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3487032&group_id=67873&atid=519275' from 'http://sourceforge.net/tracker/?func=detail' Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Sun, 12 Feb 2012 17:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>:
Bug#659361; Package gtkpod. (Tue, 14 Feb 2012 11:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>. (Tue, 14 Feb 2012 11:06:18 GMT) Full text and rfc822 format available.

Message #24 received at 659361@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 659361@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#659361: Info received ([Pkg-gtkpod-devel] Bug#659361: Reverting of mp4/m4a support (please add back))
Date: Tue, 14 Feb 2012 12:04:16 +0100
forwarded 659361 
http://sourceforge.net/tracker/?func=detail&aid=3487032&group_id=67873&atid=519275
thanks




Removed tag(s) patch. Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Mon, 26 Mar 2012 15:06:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 07 May 2012 16:45:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 08 Jun 2012 20:09:20 GMT) Full text and rfc822 format available.

Reply sent to mfv.debian@gmail.com (Matteo F. Vescovi):
You have taken responsibility. (Sat, 09 Jun 2012 09:37:49 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Sat, 09 Jun 2012 09:37:54 GMT) Full text and rfc822 format available.

Message #35 received at 659361-close@bugs.debian.org (full text, mbox):

From: mfv.debian@gmail.com (Matteo F. Vescovi)
To: 659361-close@bugs.debian.org
Subject: Bug#659361: fixed in gtkpod 2.1.2~beta2-1
Date: Sat, 09 Jun 2012 09:32:51 +0000
Source: gtkpod
Source-Version: 2.1.2~beta2-1

We believe that the bug you reported is fixed in the latest version of
gtkpod, which is due to be installed in the Debian FTP archive:

gtkpod-data_2.1.2~beta2-1_all.deb
  to main/g/gtkpod/gtkpod-data_2.1.2~beta2-1_all.deb
gtkpod-dbg_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/gtkpod-dbg_2.1.2~beta2-1_amd64.deb
gtkpod_2.1.2~beta2-1.debian.tar.gz
  to main/g/gtkpod/gtkpod_2.1.2~beta2-1.debian.tar.gz
gtkpod_2.1.2~beta2-1.dsc
  to main/g/gtkpod/gtkpod_2.1.2~beta2-1.dsc
gtkpod_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/gtkpod_2.1.2~beta2-1_amd64.deb
gtkpod_2.1.2~beta2.orig.tar.gz
  to main/g/gtkpod/gtkpod_2.1.2~beta2.orig.tar.gz
libatomicparsley-dev_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/libatomicparsley-dev_2.1.2~beta2-1_amd64.deb
libatomicparsley0_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/libatomicparsley0_2.1.2~beta2-1_amd64.deb
libgtkpod-dev_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/libgtkpod-dev_2.1.2~beta2-1_amd64.deb
libgtkpod1_2.1.2~beta2-1_amd64.deb
  to main/g/gtkpod/libgtkpod1_2.1.2~beta2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matteo F. Vescovi <mfv.debian@gmail.com> (supplier of updated gtkpod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Jun 2012 12:16:08 +0200
Source: gtkpod
Binary: gtkpod gtkpod-data gtkpod-dbg libgtkpod1 libgtkpod-dev libatomicparsley0 libatomicparsley-dev
Architecture: source amd64 all
Version: 2.1.2~beta2-1
Distribution: unstable
Urgency: low
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Changed-By: Matteo F. Vescovi <mfv.debian@gmail.com>
Description: 
 gtkpod     - manage songs and playlists on an Apple iPod
 gtkpod-data - architecture-independent files for gtkpod
 gtkpod-dbg - debugging symbols for gtkpod
 libatomicparsley-dev - main library for atomic parsley in gtkpod, development kit
 libatomicparsley0 - main library for atomic parsley in gtkpod, shared library
 libgtkpod-dev - main library for the gtkpod package, development kit
 libgtkpod1 - main library for the gtkpod package, shared library
Closes: 659361 665870 671372
Changes: 
 gtkpod (2.1.2~beta2-1) unstable; urgency=low
 .
   * New upstream beta release (Closes: #665870, #671372)
     + debian/libgtkpod1.symbols: symbols updated
     + debian/libatomicparsley0.symbols: symbols file added
   * debian/: 8 => 9 dh bump
   * debian/: libatomicparsley package added (Closes: #659361)
   * debian/: Multi-Arch support added
   * debian/copyright: entry about atomicparsley added
   * debian/control: Standards-Version bumped to 3.9.3
Checksums-Sha1: 
 097e2105ed8cb3576fd1c2f50dfec1c87d69c634 2623 gtkpod_2.1.2~beta2-1.dsc
 bcdeecbe6ea4126990e962b4beb582c9bad7cb33 3674227 gtkpod_2.1.2~beta2.orig.tar.gz
 f7d52e1774fa3eb8097cf317e6cd6ad4010f29bf 18816 gtkpod_2.1.2~beta2-1.debian.tar.gz
 b6058a6bee1bbaf91669c40da66a91dafdb08e42 498764 gtkpod_2.1.2~beta2-1_amd64.deb
 dff82c3366c2490690388aec080576188668c35b 1477618 gtkpod-data_2.1.2~beta2-1_all.deb
 838dba8c8539180d8a0e2581cf7baa4716aa3c1e 1663242 gtkpod-dbg_2.1.2~beta2-1_amd64.deb
 133f8715591ef903807545b80ffa2ad6ff43d0b4 291346 libgtkpod1_2.1.2~beta2-1_amd64.deb
 21f75b47b124208748a1327149f03f8e8c17a707 337992 libgtkpod-dev_2.1.2~beta2-1_amd64.deb
 04c3b8beb59f71cd5413ef6aba6eacb7490aad48 216420 libatomicparsley0_2.1.2~beta2-1_amd64.deb
 93eee77bdb942a186401cbf4f6fbb5cd3757ddcf 147978 libatomicparsley-dev_2.1.2~beta2-1_amd64.deb
Checksums-Sha256: 
 d9e776e4259825caa2094075775be14e1d6d0107cc4562fa2034cf116d4dd48d 2623 gtkpod_2.1.2~beta2-1.dsc
 d91f77ab5a05854af520492ab1f31bc6ccbbbea0f770c1de119d7247d84572c4 3674227 gtkpod_2.1.2~beta2.orig.tar.gz
 842ca9e4f8aeb982c4d2f940496ad53bc393dfa1243c656d9b44d94e1e7d41c2 18816 gtkpod_2.1.2~beta2-1.debian.tar.gz
 793fd64bebcabbe5a5028a341a66f14d3a31b50ea7fb2e530e07c619f58930b3 498764 gtkpod_2.1.2~beta2-1_amd64.deb
 3aa40d9d56abd2d6322d4c554d655c41cddf18507a45b4bbffdfcb85a6ea70b7 1477618 gtkpod-data_2.1.2~beta2-1_all.deb
 b8e9a86d81d618735508c91134efda03e3d0b0ae6d1bceaf532bb99164ea27ff 1663242 gtkpod-dbg_2.1.2~beta2-1_amd64.deb
 19957a84c7390adb99f3e4b3a69b502270bc45c84e335445a00f8cb2f94067ca 291346 libgtkpod1_2.1.2~beta2-1_amd64.deb
 10cd87515ff6d3219c7dcc0e5f1670099c834878120203615759e7ad4e61497e 337992 libgtkpod-dev_2.1.2~beta2-1_amd64.deb
 9f9eca6858585b55aed89480178349d1d27b15eb53b6f13f5f3fe5bc98c66a0b 216420 libatomicparsley0_2.1.2~beta2-1_amd64.deb
 96597454b204993ea43a365f3c70aaf2a1c7d0e9f7c190d28b09454bf90ed0fd 147978 libatomicparsley-dev_2.1.2~beta2-1_amd64.deb
Files: 
 dca47c6b23ebf1e411f0ee3e100ad46f 2623 sound extra gtkpod_2.1.2~beta2-1.dsc
 789504e8651fd3958d93101ce0c486ea 3674227 sound extra gtkpod_2.1.2~beta2.orig.tar.gz
 92b0b140a3c64e439ad55db2471e82f1 18816 sound extra gtkpod_2.1.2~beta2-1.debian.tar.gz
 55cbc2ba615ffd019cc26c8e2870b6e5 498764 sound extra gtkpod_2.1.2~beta2-1_amd64.deb
 731d134880800588bf085eb0b7a90538 1477618 sound extra gtkpod-data_2.1.2~beta2-1_all.deb
 87f55fb1720f0f1a4c813d22b0019c8e 1663242 debug extra gtkpod-dbg_2.1.2~beta2-1_amd64.deb
 fcf1d6528be96f7169b98decbb811d12 291346 libs extra libgtkpod1_2.1.2~beta2-1_amd64.deb
 176409b6df47544daefb66a626d78390 337992 libdevel extra libgtkpod-dev_2.1.2~beta2-1_amd64.deb
 063c835c739b98b2af2f4b5308b0fb9f 216420 libs extra libatomicparsley0_2.1.2~beta2-1_amd64.deb
 337359e2be502c81e9d095546661d979 147978 libdevel extra libatomicparsley-dev_2.1.2~beta2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJP0kFyAAoJEPvVIltYh1Kh8xsQAJvdGIH72OjpoW+l/qK1XYeT
8mrZTmct5IONoZso7I/I9B9AP0q+aa1oLvYzYjJbknxN0HlPU8YocJUEt2evVK4w
624jSUBlsW+FTdo/Ddj8FdOzrqKgeD+Ix/1dm0lL8eTfCCDHLM0mo0c8gqf8/eiF
jsKMf0r617kXkwhZNnKsUgLZXUHX/Tt9oEShtrxFDw2iLq0mBXPp2GHyQXiaHPUu
i3CwpblM5ppanevsFLfuMapVneqeqSb0BUggEFCnHj/uso4/5BLui+9A18ew1j5Y
oWz7+1a9WgRb6pUUL1gPHKDqnjOiOTRTbYIjzIL9w7QaEdBOkwm/T6JAd+S8Sd/g
M5dwknumBvE33RuVPhy9gvn68XmmkvtLtqjMa7BLxGXjwQ010mvMI+xkjWRKhElm
eTCrlG5v9OxKgs3MbdnH0xAd7/naOG8vdWlRvXD6s8pYIe2acNpHPPnplrZdYP+w
gETHcw1G/kU/hCqyMaBb9tLDsq5RevSPJNaHtmZWk4mQ8AS+j+MqigfGNgxPQgtW
HUOaGgyLnp+u5FH6gLuzB+AxiAL21DZyPFDbHAGamlg3GZMrnQKdVW6t8UyL6Ex0
rvfOytN8FnEd9y8fjisxwOjA+VkCUAVuo3QJKkwDmkKq7wAsBq1Z5Scu3EZXu1IT
166i4XfEUTjPzCNC6eRz
=axOH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:44:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:47:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.